
<div class="form-row">
  <div class="form-group col-12 col-lg-4">
    <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
      <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
    </select>
  </div>
  <div class="form-group col-12 col-lg-8">
    <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <div class="table-responsive">
      <table class="table table-sm">
        <thead>
          <tr>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Ajuste</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Tipo</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Operación</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Talla</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Almacén</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Cantidad</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Existencia Act.</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Existencia Final</small></h6>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let tAjusteFor of tArticulosAjustes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPaginaAjuste-1) * tTamanoPagAjuste : (tPaginaAjuste-1) * tTamanoPagAjuste + tTamanoPagAjuste ; let jv = index ">
            <td>
              <h6><small>{{ tAjusteFor.Codajuste }}</small></h6>
            </td>
            <td>
              <h6><small class="text-nowrap">{{ ObtenerTipoAjuste(tAjusteFor) }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tAjusteFor.Operacion }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tAjusteFor.Talla }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tAjusteFor.Codalmacen }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tAjusteFor.Cantidad }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tAjusteFor.Existencia_actual }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tAjusteFor.Existencia_final }}</small></h6>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tArticulosAjustes.length" [(page)]="tPaginaAjuste" [pageSize]="tTamanoPagAjuste"></ngb-pagination>
  </div>
</div>